{ config, pkgs, ... }: {
  
  imports = [
    ./base.nix

    ./features/tailscale.nix
  ];

  services.openssh.settings.PasswordAuthentication = false;

  system.autoUpgrade = {
    enable = true;
    allowReboot = true;
    rebootWindow = {
      lower = "05:00";
      upper = "07:00";
    };
  };
  
}
